diff --git a/README b/README new file mode 100644 index 0000000..b006a4a --- /dev/null +++ b/README @@ -0,0 +1,18 @@ +TODO: write a good README :) + +1) Documentation +Developer's documentation is available at https://systemausfall.org/toolforge/CryptoBox + +2) Building a LiveCD +try: "scripts/cbox-build.sh release" +or look at the development documentation :) + +3) Bug reporting +Use our issue tracker at https://systemausfall.org/trac/cryptobox + +4) Licence +All scripts are GPL code. +All documentation is licenced under "Creative Commons 2.0 non-commercial share-alike" (http://creativecommons.org/licenses/by-nc-sa/2.0/) + +5) Contact +email us: info@systemausfall.org diff --git a/cbox-tree.d/usr/share/doc/cryptobox/html/en/CryptoBoxDev.html b/cbox-tree.d/usr/share/doc/cryptobox/html/en/CryptoBoxDev.html index bee0af6..3c419d2 100644 --- a/cbox-tree.d/usr/share/doc/cryptobox/html/en/CryptoBoxDev.html +++ b/cbox-tree.d/usr/share/doc/cryptobox/html/en/CryptoBoxDev.html @@ -106,7 +106,7 @@
  • apt-get install dfsbuild apt-cacher

  • -

    Die dfsbuild-Dokumentation ist noch recht spärlich. Du kommst aber kaum in direkten Kontakt mit dfsbuild, da es durch 'cbox-build' aufgerufen wird. Die folgenden Links helfen dir vielleicht trotzdem weiter:

    +

    Die dfsbuild-Dokumentation ist noch recht spärlich. Du kommst aber kaum in direkten Kontakt mit dfsbuild, da es durch 'scripts/cbox-build.sh' aufgerufen wird. Die folgenden Links helfen dir vielleicht trotzdem weiter:

    -

    To start a qemu emulation of the iso image, you may type: ./cbox-dev.sh qemu.

    +

    To start a qemu emulation of the iso image, you may type: scripts/cbox-dev.sh qemu.

    Debugging and merging

    @@ -135,17 +135,17 @@

    Development on a running system

    When you run an emulation or test a real LiveCD, you may encounter problems and bugs. To test your fixes for these problems, it is convenient, to change the running test system. Afterwards you can merge these changes to your local development copy.

    -

    Type ./cbox-dev.sh diff to see the changes, you made on the running CryptoBox system.

    -

    Type ./cbox-dev.sh merge to merge these changes to your local working copy.

    +

    Type scripts/cbox-dev.sh diff to see the changes, you made on the running CryptoBox system.

    +

    Type scripts/cbox-dev.sh merge to merge these changes to your local working copy.

    Uploading a new release

    Alternatively you may also upload a new version of your local working copy to the running CryptoBox system.

    -

    Type ./cbox-dev.sh upload - beware: all recent changes you made to the running CryptoBox system, are lost.

    +

    Type scripts/cbox-dev.sh upload - beware: all recent changes you made to the running CryptoBox system, are lost.

    -

    last edited 2005-09-05 19:45:51 by

    +

    last edited 2005-09-08 14:50:57 by lars

    diff --git a/cbox-tree.d/usr/share/doc/cryptobox/html/en/CryptoBoxEn.html b/cbox-tree.d/usr/share/doc/cryptobox/html/en/CryptoBoxEn.html index f7f95b5..a3c6311 100644 --- a/cbox-tree.d/usr/share/doc/cryptobox/html/en/CryptoBoxEn.html +++ b/cbox-tree.d/usr/share/doc/cryptobox/html/en/CryptoBoxEn.html @@ -1,13 +1,18 @@ + +

    News

    +

    This is a first overview of the CryptoBox Live-CD. We apologize for publishing the documentation atm in german only. We started the CryptoBox project for a german speaking association. For now we're deeply into bringing this CD up and running, so we prefer coding than translating docs ;). Sorry!

    Feel free to start a translation in this wiki. Otherwise just be patient a few weeks. (it's 12th of july as i'm writing)

    +

    Update [8th of September]: nearly all development related documentations are written in english - take a look at the links in CryptoBoxDev

    +

    We plan to release the first CryptoBox-LiveCD before October 02005.

    -

    Overview

    +

    Overview

    The CryptoBox is a Debian/Linux based live-cd. This CD boots up, starting a secure fileserver. Even non-technical users are able to store their data on its encrypted harddisk. There is no special knowledge about cryptgraphy or servers required at all.

    -

    Specs

    +

    Specs

    @@ -62,17 +67,17 @@
    -

    Development

    +

    Development

    Browse the source code in the CryptoBox-websvn

    -

    TODO

    +

    TODO

    Read more about the CryptoBox in german or try kind of a babelfish.

    -

    last edited 2005-07-25 12:50:07 by

    +

    last edited 2005-09-08 15:05:11 by lars

    diff --git a/tools/cbox-build.sh b/scripts/cbox-build.sh similarity index 81% rename from tools/cbox-build.sh rename to scripts/cbox-build.sh index 74e635f..31b48e8 100755 --- a/tools/cbox-build.sh +++ b/scripts/cbox-build.sh @@ -27,40 +27,15 @@ set -ue -# get the path of a configuration file - local configuration files -# supersede default files -# parameter: base name of the configuration file -function get_config_file() -{ - [ -e "$LOCALCONF_DIR/$1" ] && echo "$LOCALCONF_DIR/$1" && return 0 - [ -e "$DEFAULTCONF_DIR/$1" ] && echo "$DEFAULTCONF_DIR/$1" && return 0 - echo "configuration file ($1) not found!" >&2 - exit 1 -} +# include common functions and settings +source $(dirname $0)/common.sh.inc -# the base directory of your local development files -ROOT_DIR=$(dirname "$0")/.. - -# the template (default) configuration directory -DEFAULTCONF_DIR="$ROOT_DIR/etc-defaults.d" - -# your local configuration directory (existing files supersede the defaults) -LOCALCONF_DIR="$ROOT_DIR/etc-local.d" - -# local configuration directory - contains scripts to be executed after -# 'configure' -CUSTOM_CONFIGURE_DIR="$ROOT_DIR/configure-local.d" - -# template directory for cryptobox specific configuration -TEMPLATE_DIR="cbox-tree.d" +################### some settings ###################### # dfsbuild config DFS_CONFIG=$(get_config_file dfs-cbox.conf) -# the chroot-wrapper within the cryptobox -CHROOT_START="/usr/lib/cryptobox/chroot-start.sh" - ############# include local configuration ############## diff --git a/tools/cbox-dev.sh b/scripts/cbox-dev.sh similarity index 75% rename from tools/cbox-dev.sh rename to scripts/cbox-dev.sh index 9c76c56..f11b1bf 100644 --- a/tools/cbox-dev.sh +++ b/scripts/cbox-dev.sh @@ -15,36 +15,10 @@ set -ue -# get the path of a configuration file - local configuration files -# supersede default files -# parameter: base name of the configuration file -function get_config_file() -{ - [ -e "$LOCALCONF_DIR/$1" ] && echo "$LOCALCONF_DIR/$1" && return 0 - [ -e "$DEFAULTCONF_DIR/$1" ] && echo "$DEFAULTCONF_DIR/$1" && return 0 - echo "configuration file ($1) not found!" >&2 - exit 1 -} +# include common functions and settings +source $(dirname $0)/common.sh.inc - -# the base directory of your local development files -ROOT_DIR=$(dirname "$0")/.. - -# the template (default) configuration directory -DEFAULTCONF_DIR="$ROOT_DIR/etc-defaults.d" - -# your local configuration directory (existing files supersede the defaults) -LOCALCONF_DIR="$ROOT_DIR/etc-local.d" - -# local configuration directory - contains scripts to be executed after -# 'configure' -CUSTOM_CONFIGURE_DIR="$ROOT_DIR/configure-local.d" - -# template directory for cryptobox specific configuration -TEMPLATE_DIR="cbox-tree.d" - -# the chroot-wrapper within the cryptobox -CHROOT_START="/usr/lib/cryptobox/chroot-start.sh" +################### some settings ##################### # qemu network configuration file QEMU_IFUP_FILE=$(get_config_file qemu-ifup) @@ -56,18 +30,6 @@ SSH_CONFIG_FILE=$(get_config_file ssh_config) SSH_HOST=$(grep "^Host " "$SSH_CONFIG_FILE" | head -1 | sed 's/^Host *\(.*\)$/\1/') -############# include local configuration ############## - -if [ -e "$(get_config_file cbox-dev.conf)" ] - then source "$(get_config_file cbox-dev.conf)" - else echo "local cbox-dev.conf ($(get_config_file cbox-dev.conf)) does not exist!" >&2 - exit 1 - fi - -# image directory created by dfsbuild -# the BUILD_DIR is defined in the local cbox-dev.conf -IMAGE_DIR="$BUILD_DIR/image" - # read some cryptobox settings (especially "DEV_FEATURES_SCRIPT") if [ -e "$TEMPLATE_DIR/etc/cryptobox/cryptobox.conf" ] then source "$TEMPLATE_DIR/etc/cryptobox/cryptobox.conf" diff --git a/scripts/common.sh.inc b/scripts/common.sh.inc new file mode 100644 index 0000000..8581d5f --- /dev/null +++ b/scripts/common.sh.inc @@ -0,0 +1,58 @@ +# +# common settings and functions for cryptobox scripts +# + +#################### some functions #################### + +# get the path of a configuration file - local configuration files +# supersede default files +# parameter: base name of the configuration file +function get_config_file() +{ + [ -e "$LOCALCONF_DIR/$1" ] && echo "$LOCALCONF_DIR/$1" && return 0 + [ -e "$DEFAULTCONF_DIR/$1" ] && echo "$DEFAULTCONF_DIR/$1" && return 0 + echo "configuration file ($1) not found!" >&2 + exit 1 +} + +function error_die() +{ + echo "$2" >&2 + exit $1 +} + + +################### general settings ################### + +# the base directory of your local development files +ROOT_DIR=$(dirname "$0")/.. + +# the template (default) configuration directory +DEFAULTCONF_DIR="$ROOT_DIR/etc-defaults.d" + +# your local configuration directory (existing files supersede the defaults) +LOCALCONF_DIR="$ROOT_DIR/etc-local.d" + +# local configuration directory - contains scripts to be executed after +# 'configure' +CUSTOM_CONFIGURE_DIR="$ROOT_DIR/configure-local.d" + +# template directory for cryptobox specific configuration +TEMPLATE_DIR="cbox-tree.d" + +# the chroot-wrapper within the cryptobox +CHROOT_START="/usr/lib/cryptobox/chroot-start.sh" + + +############# include local configuration ############## + +if [ -e "$(get_config_file cbox-dev.conf)" ] + then source "$(get_config_file cbox-dev.conf)" + else echo "local cbox-dev.conf ($(get_config_file cbox-dev.conf)) does not exist!" >&2 + exit 1 + fi + +# image directory created by dfsbuild +# the BUILD_DIR is defined in the local cbox-dev.conf +IMAGE_DIR="$BUILD_DIR/image" + diff --git a/scripts/show_TODO.sh b/scripts/show_TODO.sh new file mode 100755 index 0000000..4611417 --- /dev/null +++ b/scripts/show_TODO.sh @@ -0,0 +1,3 @@ +#!/bin/sh + +grep "TODO" $(find "$(dirname $0)/.." -type f | grep -v "\.svn" | grep -v "$(basename $0)") diff --git a/tools/userdocexport.sh b/scripts/userdocexport.sh similarity index 100% rename from tools/userdocexport.sh rename to scripts/userdocexport.sh diff --git a/tools/validate.sh b/scripts/validate.sh similarity index 81% rename from tools/validate.sh rename to scripts/validate.sh index 54a8dcb..f193d85 100755 --- a/tools/validate.sh +++ b/scripts/validate.sh @@ -7,44 +7,10 @@ set -eu +# include common functions and settings +source $(dirname $0)/common.sh.inc -# get the path of a configuration file - local configuration files -# supersede default files -# parameter: base name of the configuration file -function get_config_file() -{ - [ -e "$LOCALCONF_DIR/$1" ] && echo "$LOCALCONF_DIR/$1" && return 0 - [ -e "$DEFAULTCONF_DIR/$1" ] && echo "$DEFAULTCONF_DIR/$1" && return 0 - echo "configuration file ($1) not found!" >&2 - exit 1 -} - -# the base directory of your local development files -ROOT_DIR=$(dirname "$0")/.. - -# the template (default) configuration directory -DEFAULTCONF_DIR="$ROOT_DIR/etc-defaults.d" - -# your local configuration directory (existing files supersede the defaults) -LOCALCONF_DIR="$ROOT_DIR/etc-local.d" - - -############# include local configuration ############## - -if [ -e "$(get_config_file cbox-dev.conf)" ] - then source "$(get_config_file cbox-dev.conf)" - else echo "local cbox-dev.conf ($(get_config_file cbox-dev.conf)) does not exist!" >&2 - exit 1 - fi - -#################### some functions #################### - -function error_die() -{ - echo "$2" >&2 - exit $1 -} - +##################### some functions ######################## function do_single() # Parameter: "test case dir" "output directory for results" diff --git a/tools/doc_footer.inc b/tools/doc_footer.inc deleted file mode 100644 index 9d5cd52..0000000 --- a/tools/doc_footer.inc +++ /dev/null @@ -1,11 +0,0 @@ - - - - - - - - - diff --git a/tools/doc_header.inc b/tools/doc_header.inc deleted file mode 100644 index d2bfdf1..0000000 --- a/tools/doc_header.inc +++ /dev/null @@ -1,28 +0,0 @@ - - - - - CryptoBox - - - - - - -
    - - -
    - -
    - diff --git a/tools/show_TODO.sh b/tools/show_TODO.sh deleted file mode 100755 index 87db24e..0000000 --- a/tools/show_TODO.sh +++ /dev/null @@ -1,3 +0,0 @@ -#!/bin/sh - -grep "TODO" $(find -type f | grep -v "\.svn")